path: /build/build/firecracker-bin-app-emulation-1.9.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-emulation/firecracker-bin -pv -t && \
    emerge -j ${JOBS} --nodeps app-emulation/firecracker-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/firecracker-bin && luet-portage --dir
    /pkgdir/firecracker-bin app-emulation/firecracker-bin && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:45ec65c16bbfcbad1487f2363e8d3f91664c5a011d9a67e203c6ca0d7b33d975
  package:
    name: firecracker-bin
    version: 1.9.0
    category: app-emulation
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Secure and fast microVMs for serverless computing (static build)
    uri:
    - https://firecracker-microvm.github.io https://github.com/firecracker-microvm/firecracker
    license: '|| ( Apache-2.0 BSD )'
    buildtimestamp: 2024-09-18 23:12:50.361675911 +0000 UTC m=+105.368020692
    labels:
      DEPEND: sys-apps/shadow
      IUSE: kernel_linux
      RDEPEND: '!app-emulation/firecracker'
      emerge.packages: app-emulation/firecracker-bin
      kit: core-kit
      original.package.name: app-emulation/firecracker-bin
      original.package.slot: "0"
      original.package.version: 1.9.0
    treedir: /build/packages
  package_dir: /pkgdir/firecracker-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 030b85e3e93dfbc4b65340ec6433d4d9e1892a0e1e94a9e1690f2085c1be4b6d
compressiontype: zstd
files:
- usr/bin/firecracker
- usr/bin/jailer
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/BUILD_TIME
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CATEGORY
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CBUILD
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CFLAGS
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CHOST
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CONTENTS
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/COUNTER
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CTARGET
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CXX
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/CXXFLAGS
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/DEFINED_PHASES
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/DEPEND
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/DESCRIPTION
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/EAPI
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/FEATURES
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/HOMEPAGE
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/INHERITED
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/IUSE
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/IUSE_EFFECTIVE
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/KEYWORDS
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/LDFLAGS
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/LICENSE
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/NEEDED
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/NEEDED.ELF.2
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/PF
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/QA_PREBUILT
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/RDEPEND
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/RESTRICT
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/SIZE
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/SLOT
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/USE
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/environment.bz2
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/firecracker-bin-1.9.0.ebuild
- var/db/pkg/app-emulation/firecracker-bin-1.9.0/repository
package_cacheimage: ""
runtime:
  name: firecracker-bin
  version: 1.9.0
  category: app-emulation
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Secure and fast microVMs for serverless computing (static build)
  uri:
  - https://firecracker-microvm.github.io https://github.com/firecracker-microvm/firecracker
  license: '|| ( Apache-2.0 BSD )'
  labels:
    DEPEND: sys-apps/shadow
    IUSE: kernel_linux
    RDEPEND: '!app-emulation/firecracker'
    emerge.packages: app-emulation/firecracker-bin
    kit: core-kit
    original.package.name: app-emulation/firecracker-bin
    original.package.slot: "0"
    original.package.version: 1.9.0
